curl --request GET \
--url https://payments.coinbase.com/api/v1/webhook-events/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://payments.coinbase.com/api/v1/webhook-events/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://payments.coinbase.com/api/v1/webhook-events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": "<string>",
"id": "<string>",
"paymentOperation": {
"entity": "<string>",
"id": "<string>",
"transactionHash": "<string>",
"params": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"payment": {
"entity": "<string>",
"id": "<string>",
"maxAmount": "<string>",
"token": "<string>",
"networkId": 123,
"payer": "<string>",
"signature": "<string>",
"receiver": "<string>",
"maxFeeBps": 123,
"minFeeBps": 123,
"feeReceiver": "<string>",
"salt": "<string>",
"paymentInfoHash": "<string>",
"nonce": "<string>",
"authorizationExpiry": "<string>",
"preApprovalExpiry": "<string>",
"refundExpiry": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"operator": "<string>",
"contractAddress": "<string>",
"authorizedAmount": "<string>",
"capturedAmount": "<string>",
"voidedAmount": "<string>",
"refundedAmount": "<string>",
"chargedAmount": "<string>",
"merchantId": "<string>"
},
"output": "<string>",
"error": "<string>",
"errorCode": "<string>",
"revertReason": "<string>",
"blockNumber": "<string>",
"metadata": {}
},
"rewardOperation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reward": {
"id": "<string>",
"campaignAddress": "<string>",
"paymentInfoHash": "<string>",
"recipientAddress": "<string>",
"tokenAddress": "<string>",
"chainId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"amount": "<string>",
"transactionHash": "<string>",
"error": "<string>",
"errorCode": "<string>",
"revertReason": "<string>",
"blockNumber": "<string>"
},
"webhook": {
"entity": "<string>",
"id": "<string>",
"operatorCoinbaseUserId": "<string>",
"identifier": "<string>",
"description": "<string>",
"url": "<string>",
"events": [],
"secret": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"attempts": 123,
"maxRetries": 123,
"apiVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Get webhook event by ID
Retrieve a webhook event by its webhook event ID.
Authorizations
Authorization header using the Bearer scheme. Learn more about JWT tokens in the Coinbase Developer Portal.
Path Parameters
The unique identifier of the webhook event.
Response
A successful response.
Webhook event payload details.
List of supported events.
EVENT_TYPE_PAYMENT_AUTHORIZED, EVENT_TYPE_PAYMENT_CAPTURED, EVENT_TYPE_PAYMENT_VOIDED, EVENT_TYPE_PAYMENT_REFUNDED, EVENT_TYPE_PAYMENT_CHARGED, EVENT_TYPE_REWARD_ALLOCATED, EVENT_TYPE_REWARD_DISTRIBUTED, EVENT_TYPE_REWARD_DEALLOCATED, EVENT_TYPE_REWARD_SENT, EVENT_TYPE_PAYMENT_RECONCILED "EVENT_TYPE_PAYMENT_AUTHORIZED"
Type of operation that triggered the webhook.
OPERATION_TYPE_PAYMENT, OPERATION_TYPE_REWARD "OPERATION_TYPE_PAYMENT"
Event details related to a payment including transaction hash, status, and associated payment information.
Show child attributes
Show child attributes
{
"entity": "payment-operation",
"id": "event123",
"transactionHash": "0xhash",
"amount": "50.00",
"status": "SUCCEEDED",
"eventType": "AUTHORIZED",
"createdAt": "2021-05-03T00:00:00.000Z",
"updatedAt": "2021-05-03T00:30:00.000Z",
"payment": { "id": "payment123" }
}
Operation details related to a reward including transaction hash, status, and associated reward information.
Show child attributes
Show child attributes
{
"id": "ro-789012",
"rewardId": "rw-123456",
"action": "REWARD_OPERATION_ACTION_DISTRIBUTE",
"amount": "100.00",
"status": "REWARD_OPERATION_STATUS_SUCCEEDED",
"transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"error": null,
"errorCode": null,
"revertReason": null,
"blockNumber": 123,
"createdAt": "2024-03-20T00:00:00.000Z",
"updatedAt": "2024-03-20T00:30:00.000Z",
"reward": { "id": "rw-123456" }
}
Webhook configuration details.
Show child attributes
Show child attributes
{
"entity": "webhook",
"id": "wh_123456789",
"operatorCoinbaseUserId": "op_987654321",
"identifier": "client-webhook-1",
"description": "Payment notifications for order processing",
"url": "https://example.com/webhooks",
"secret": "whsec_abcdef1234567890",
"events": [
"EVENT_TYPE_PAYMENT_AUTHORIZED",
"EVENT_TYPE_PAYMENT_CAPTURED",
"EVENT_TYPE_PAYMENT_VOIDED",
"EVENT_TYPE_PAYMENT_REFUNDED",
"EVENT_TYPE_PAYMENT_CHARGED",
"EVENT_TYPE_REWARD_ALLOCATED",
"EVENT_TYPE_REWARD_DISTRIBUTED",
"EVENT_TYPE_REWARD_DEALLOCATED",
"EVENT_TYPE_REWARD_SENT"
],
"status": "WEBHOOK_STATUS_ACTIVE",
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-02T00:00:00.000Z"
}
List of webhook sources.
WEBHOOK_SOURCE_OPERATOR, WEBHOOK_SOURCE_INDEXER "WEBHOOK_SOURCE_OPERATOR"
Was this page helpful?